"use strict";
/*
 * Copyright (c) 2022.
 * Author Peter Placzek (tada5hi)
 * For the full copyright and license information,
 * view the LICENSE file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.initTokenCache = void 0;
const redis_extension_1 = require("redis-extension");
function initTokenCache(redis, redisPrefix) {
    let tokenCache;
    if (redis) {
        redis = typeof redis === 'boolean' ?
            (0, redis_extension_1.useClient)('default') :
            redis;
        tokenCache = new redis_extension_1.Cache({
            redis,
        }, {
            prefix: redisPrefix || 'token',
        });
        tokenCache.startScheduler();
    }
    return tokenCache;
}
exports.initTokenCache = initTokenCache;
//# sourceMappingURL=token-cache.js.map